Bug 304 - Document how to load pdb_plugins with locations other than /usr/lib/samba/pdb
Document how to load pdb_plugins with locations other than /usr/lib/samba/pdb
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.0preX
All other
: P3 minor
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 23:22 UTC by Raimund Sacherer
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raimund Sacherer 2003-08-15 23:22:49 UTC
Hello, i had a hell of 2 days figuring out why the pdb_mysql plugin is not
loaded/recognized correctly on my Debian box. Being a good Debian guy i want to
keep all self compiled stuff under /usr/local, and the story begins ...

first, in the manpage i would appreciate the following changes:

preload modules (G)
This  is a list of paths to modules that should be loaded into smbd before a
client connects. This improves the speed of smbd when reacting to new
connections somewhat.

instead of: 
It is recommended to only use this option on heavy-performance servers.

i would recommend:
It might be only usefull in a heavy-performance server, or if you keep your
modules in a path other than /usr/lib/samba/pdb.


passdb backend (G)
in this section i would add something like:

take care of holding your extra modules in /usr/lib/samba/pdb or to set the
preload modules parameter correctly to the path your module is located.


in the documentation/examples/pdb/mysql/smb.conf:

This is NOT working:

[global]
netbios name = FOOBAR
workgroup = TESTGROUP
security = domain
domain logons = yes
domain master = yes
passdb backend = plugin:/usr/local/samba/lib/pdb_mysql.so:mysql
mysql:mysql host = rhonwyn
mysql:mysql user = samba
mysql:mysql password = ambas
mysql:mysql database = samba

show how it is done via preload modules and then just mysql:mysql as passdb
backend!!!!!



thx for samba, it's a wounderful peace of bits :-)
Comment 1 Jelmer Vernooij 2003-08-19 08:14:41 UTC
The 'plugin' pdb backend has been removed some alpha's ago..  I have however
fixed the docs for 'preload modules'.
Comment 2 Gerald (Jerry) Carter 2005-02-07 08:40:01 UTC
originally reported against 3.0.0beta2.  CLeaning out 
non-production release versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:24:38 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.